Bug 44969 - openvpn: Denial of service (4.2)
openvpn: Denial of service (4.2)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-3-errata
Assigned To: Philipp Hahn
Arvid Requate
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 14:23 CEST by Arvid Requate
Modified: 2018-04-18 14:15 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Security Issue
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score: 7.5 (CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H)
requate: Patch_Available+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arvid Requate univentionstaff 2017-07-11 14:23:17 CEST
Upstream Debian package version 2.3.4-5+deb8u2 fixes:

* Denial of Service of server by authenticated attacker due to reachable assertion when packet-ID counter rolls over. (CVE-2017-7479)
* remote denial-of-service when receiving malformed IPv6 packet. (CVE-2017-7508)
* Pre-authentication remote crash/information disclosure for clients (CVE-2017-7520)
* remote denial-of-service due to memory exhaustion caused by memory leaks and double-free issue in extract_x509_extension(). (CVE-2017-7521)
Comment 1 Philipp Hahn univentionstaff 2018-01-25 10:59:59 CET
Mass-import from Debian-Security:
  python -m univention.repong.^Cbmirror -s jessie -r 4.2-3 --override=$HOME/REPOS/repo-ng/mirror/update_ucs42_mirror_from_debian.yml --errata=doc/errata --sql --process=ALL -vvvv --now=201801211553

YAML: git:bd6159834a..449aa5a7cf
Comment 2 Arvid Requate univentionstaff 2018-04-12 19:49:44 CEST
Verified:
* Upstream binary imported into errata4.2-3
* No additional UCS patches in 4.2
* Package installation: Ok
* Advisory: Ok
Comment 3 Arvid Requate univentionstaff 2018-04-18 14:15:54 CEST
<http://errata.software-univention.de/ucs/4.2/340.html>